Bug 446510

Summary: pk prevents system to suspend without any visible to user activity
Product: [Fedora] Fedora Reporter: Nikos Charonitakis <nikosx>
Component: PackageKitAssignee: Robin Norwood <robin.norwood>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: fedora, john.brown009, lmacken, rhughes, richard, tla
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-18 13:54:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nikos Charonitakis 2008-05-14 21:35:34 UTC
Description of problem:
Packagit prevents my laptop to suspend or hibernate wihout giving any sign that
it does something (no icon on panel).
I stoped it from doing endless refreshing packages list. No icons on panel, and
then i tried to suspend. So came the message that saying it does something etc etc.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Richard Hughes 2008-10-09 16:35:01 UTC
Are you running GNOME? I'm going to need a ton more details if you want me to debug this.

Comment 2 Martin Ebourne 2008-10-09 16:53:23 UTC
I had a related issue with pk silently blocking suspend. With the latest F9 updates it's no longer silent, you get a popup warning that suspend is being prevented by package kit. This is a lot better, but it still shouldn't be preventing suspend unless it's actively installing RPMs at the time.

Downloading RPMs to install, or background downloading package lists (which is what it was doing last time this happened to me), or analysing the package set to figure out if there are updates should never be enough to prevent the laptop suspending.

Comment 3 TK009 2009-03-07 03:38:05 UTC
Reporter, could you please reply to the request for more information? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Nikos Charonitakis 2009-03-10 10:05:13 UTC
I ve upgraded to f10. I didn't see a similar problem yet.

Comment 5 TK009 2009-03-11 00:10:39 UTC
Thank you for your response. I will leave this open until 2009-04-06 in case you run in to something or the maintainer wishes this to remain open. If I hear nothing by then I will close this one.